Skip to content
Browse files

Update gemspec for Ruby 1.8.6 and Rspec 2

  • Loading branch information...
1 parent f1d543c commit a959b88375b9f34b4fa5297216951f33fba0b22d @ragaskar ragaskar committed Oct 25, 2011
Showing with 6 additions and 1 deletion.
  1. +6 −1 jasmine.gemspec
View
7 jasmine.gemspec
@@ -29,7 +29,12 @@ Gem::Specification.new do |s|
end
s.add_development_dependency 'rake-tasks'
elsif ENV['RAILS_VERSION'] == 'pojs-rspec2'
- s.add_development_dependency 'rspec', '>= 2.5.0'
+ if ENV["RUBY_VERSION"] =~ /1\.8\.6/
+ #2.7.0 uses reduce vs inject, non 1.8.6 compatible
+ s.add_development_dependency 'rspec', '2.6.0'
+ else
+ s.add_development_dependency 'rspec', '>= 2.5.0'
+ end
s.add_development_dependency 'rake-tasks'
s.add_development_dependency 'rack', "1.1" if ENV["RUBY_VERSION"] =~ /1\.8\.6/
elsif ENV['RAILS_VERSION'] == 'rails2'

0 comments on commit a959b88

Please sign in to comment.
Something went wrong with that request. Please try again.